Subject: Customize ConTeXt-Mark-version results in wrong-type-argument
From: Roessner Silvester SGD AS-ER/QMM1 * <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 14 Oct 2016 05:47:25 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

First: AUCTeX is really a great tool!
I want to thank you for developing and maintaining it.

When I try to set ConTeXt to Mark IV

  C-h v ConTeXt-Mark-version

I get the error

  custom-variable-value-create: Wrong type argument: symbolp, "string"

Since I am new to Emacs
the only way I found to work around this
is to change the default value in context.el directly.

Mit freundlichen Grüßen / Best regards

Silvester Rößner

Automotive Steering, Electric Power Steering Rack, Quality Processes & Engineering (AS-ER/QMM1)
Robert Bosch Automotive Steering GmbH | 73527 Schwäbisch Gmünd | GERMANY | www.bosch-automotive-steering.com<http://www.bosch-automotive-steering.com/>

------------------------------------------------------------------------

Emacs  : GNU Emacs 25.1.1 (x86_64-w64-mingw32)
of 2016-09-17
Package: 11.89.5

current state:
==============
(setq
AUCTeX-date "2016-09-01"
window-system 'w32
LaTeX-version "2e"
TeX-style-path '("~/.emacs.d/auctex" "c:/Users/G51778/emacs-25.1.1/share/emacs/site-lisp/elpa/auctex-11.89.5/style"
                          "c:/Users/G51778/.emacs.d/auctex/auto" "c:/Users/G51778/.emacs.d/auctex/style" "auto" "style")
TeX-auto-save nil
TeX-parse-self nil
TeX-master t
TeX-command-list '(("TeX" "%(PDF)%(tex) %(file-line-error) %(extraopts) %`%S%(PDFout)%(mode)%' %t" TeX-run-TeX nil
                             (plain-tex-mode ams-tex-mode texinfo-mode) :help "Run plain TeX")
                            ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil (latex-mode doctex-mode) :help "Run LaTeX")
                            ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil (texinfo-mode) :help
                             "Run Makeinfo with Info output")
                            ("Makeinfo HTML" "makeinfo %(extraopts) --html %t" TeX-run-compile nil (texinfo-mode) :help
                             "Run Makeinfo with HTML output")
                            ("AmSTeX" "amstex %(PDFout) %(extraopts) %`%S%(mode)%' %t" TeX-run-TeX nil (ams-tex-mode) :help
                             "Run AMSTeX")
                            ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode)
                             :help "Run ConTeXt once")
                            ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help
                             "Run ConTeXt until completion")
                            ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help "Run BibTeX")
                            ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
                            ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
                            ("Print" "%p" TeX-run-command t t :help "Print the file")
                            ("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible TeX-queue-command)
                            ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t :help "Generate PostScript file")
                            ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t :help "Convert DVI file to PostScript")
                            ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil t :help "Convert DVI file to PDF with dvipdfmx")
                            ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help "Convert PostScript file to PDF")
                            ("Index" "makeindex %s" TeX-run-index nil t :help "Run makeindex to create index file")
                            ("Xindy" "texindy %s" TeX-run-command nil t :help "Run xindy to create index file")
                            ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help "Check LaTeX file for correctness")
                            ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help
                             "Check LaTeX file for common mistakes")
                            ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help "Spell-check the document")
                            ("Clean" "TeX-clean" TeX-run-function nil t :help "Delete generated intermediate files")
                            ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
                             "Delete generated intermediate and output files")
                            ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
)

--
Robert Bosch Automotive Steering GmbH, Richard-Bullinger-Str. 77, 73527 Schwäbisch Gmünd, Germany
Vorsitzender des Aufsichtsrats/Chairman of the Supervisory Board: Dirk Hoheisel
Geschäftsführung/Management Board: Christian Sobottka (Vorsitz/Chairman), Hanns Bernd Ketteler, Marcus Parche, Henning Wagner
Sitz der Gesellschaft/Headquarters: Schwäbisch Gmünd - Handelsregistereintrag: Amtsgericht Ulm HRB 701678/Trade register of the municipal court of Ulm HRB 701678